package com.winhc.service.impl;

import com.winhc.service.RelationService;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.stereotype.Service;
import java.util.List;
import java.util.Map;

/**
 * @author π
 * @Description:成功状态
 * @date 2021/1/11 10:03
 */
@Slf4j
@Service("nodeRelationSuccessStatusServiceImpl")
@AllArgsConstructor
public class NodeRelationSuccessStatusServiceImpl implements RelationService {


    @Autowired
    JdbcTemplate jdbcTemplate;

    @Override
    public String save(List<Map<String, Object>> batch_list) {
        if (batch_list.isEmpty()) return null;
        long start = System.currentTimeMillis();
        Map<String, Object> map = batch_list.get(0);
        String ds = String.valueOf(map.getOrDefault("ds", "-1"));
        String status = String.valueOf(map.getOrDefault("status", "-1"));
        String topic_type = String.valueOf(map.getOrDefault("topic_type", "-1"));
        String sql = "REPLACE INTO node_relation_success_status VALUES (" + ds + ", " + status + ", " + topic_type + ", now()" + ", now())";
        jdbcTemplate.execute(sql);
        log.info("save success status | sql:{} |, | cost:{} | !", sql, (System.currentTimeMillis() - start));
        return "success";
    }
}
